List calls
curl --request GET \
--url https://api.lehar.ai/ca/api/v0/calls \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.lehar.ai/ca/api/v0/calls"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.lehar.ai/ca/api/v0/calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"call_id": "call_01EXAMPLE",
"agent_id": "agent_sales_hi",
"status": "completed",
"outcome": "completed",
"to_number_masked": "+9198****3210",
"attempt_count": 1,
"session_id": "session_01EXAMPLE"
}
],
"pagination": {
"limit": 20,
"offset": 0,
"total": 1
}
}Calls
List calls
Scope sessions:read.
GET
/
calls
List calls
Authorizations
ApiKeyAuthBearerAuth
Query Parameters
Available options:
queued, scheduled, dialing, in_progress, completed, failed, cancelled ISO timestamp lower bound.
ISO timestamp upper bound.
Required range:
x <= 100Response
200 - application/json
Paginated calls

